Package Details: libclaw 1.7.4-1

Git Clone URL: https://aur.archlinux.org/libclaw.git (read-only)
Package Base: libclaw
Description: C++ Library Absolutely Wonderful
Upstream URL: http://libclaw.sourceforge.net/
Licenses: LGPL
Conflicts: libclaw-svn
Submitter: Nicoco
Maintainer: carstene1ns
Last Packager: carstene1ns
Votes: 22
Popularity: 0.000112
First Submitted: 2008-01-04 14:10
Last Updated: 2015-07-08 03:25

Latest Comments

carstene1ns commented on 2014-03-17 17:18

Adopted and updated.

acrox999 commented on 2013-10-16 06:39

Updated PKGBUILD (latest version and also fixed the PKGBUILD's formatting according to the latest standard) for anyone that's interested:
http://nopaste.info/eea6556fd4.html

MCMic commented on 2013-08-07 15:44

Please update the package to new 1.7.4 version

Anonymous comment on 2013-06-06 00:38

PKGBUILD for 1.7.3:
http://share.thomascolliers.com/pkgbuilds/libclaw/PKGBUILD

TiborB commented on 2012-11-03 19:11

Hi,
the bug should be fixed in new version:

http://sourceforge.net/projects/libclaw/files/libclaw/1.7.2/

TiborB commented on 2012-11-02 22:59

Hi,
could you please update PKGBUILD to include the fix mentioned below?

Anonymous comment on 2012-02-14 15:24

Compilation error:
<...>/libclaw-1.7.0/./claw/png.hpp:125:32: error: 'Z_NO_COMPRESSION' was not declared in this scope
<...>/libclaw-1.7.0/./claw/png.hpp:126:28: error: 'Z_BEST_SPEED' was not declared in this scope
<...>/libclaw-1.7.0/./claw/png.hpp:127:34: error: 'Z_BEST_COMPRESSION' was not declared in this scope
<...>/libclaw-1.7.0/./claw/png.hpp:128:37: error: 'Z_DEFAULT_COMPRESSION' was not declared in this scope

I fixed it by adding the missing #include to png.hpp:
sed -i "38i#include <zlib.h>" claw/png.hpp

feufochmar commented on 2010-09-12 21:08

1.5.4 does not compile :
[ 1%] Building CXX object CMakeFiles/claw_logger.dir/claw/code/logger.o
[...]
/usr/lib/gcc/x86_64-unknown-linux-gnu/4.5.1/../../../../include/c++/4.5.1/bits/stl_relops.h:67:1: erreur: expected unqualified-id before ‘namespace’
make[2]: *** [CMakeFiles/claw_logger.dir/claw/code/logger.o] Erreur 1

libclaw-svn has no problem to compile